[lms] Warningi po upgradzie do nowszej wersji PHP

Maciej Lew maciej.lew.1987 w gmail.com
Pon, 19 Maj 2014, 20:00:02 CEST


To jest problem w starej bibliotece Mail z PEAR. Znajdź w swoim systemie
gdzie masz to zainstalowane i tam w pliku Mail.php zajdziesz coś w stylu:

function &factory(jakieś argumenty)

Spróbuj to zmienić na

public static function factory(te same argumenty)

Powinno pomóc.




W dniu 15 maja 2014 10:21 użytkownik Sławomir Paszkiewicz <
paszczus w gmail.com> napisał:

> Nie ;(
> 15 maj 2014 08:52 "Marcin" <marcin w nicram.net> napisał(a):
>
> Cześć,
>> jak z tymi warningami, poradziłeś sobie?
>>
>> 2014-05-08 10:14 GMT+02:00 Sławomir Paszkiewicz <paszczus w gmail.com>:
>> > Witam,
>> >
>> > Wczoraj pokusiłem się o upgrade PHP do wersji 5.5.12 i dzisiaj
>> zauważyłem,
>> > że lms-notify.php pluje mi takimi warningami:
>> >
>> > PHP Strict Standards:  Non-static method Mail::factory() should not be
>> > called statically, assuming $this from incompatible context in
>> > /usr/share/lms/lib/LMS.class.php on line 5198
>> >
>> > Strict Standards: Non-static method Mail::factory() should not be called
>> > statically, assuming $this from incompatible context in
>> > /usr/share/lms/lib/LMS.class.php on line 5198
>> >
>> > Pozdrawiam,
>> > SP
>> > _______________________________________________
>> > lms mailing list
>> > lms w lists.lms.org.pl
>> > http://lists.lms.org.pl/mailman/listinfo/lms
>>
>>
>>
>> --
>> Pozdrawiam
>> Marcin / nicraM
>> _______________________________________________
>> lms mailing list
>> lms w lists.lms.org.pl
>> http://lists.lms.org.pl/mailman/listinfo/lms
>>
>
> _______________________________________________
> lms mailing list
> lms w lists.lms.org.pl
> http://lists.lms.org.pl/mailman/listinfo/lms
>
>
-------------- następna część ---------
Załącznik HTML został usunięty...
URL:  <http://lists.lms.org.pl/pipermail/lms/attachments/20140519/837374b5/attachment.html>


Więcej informacji o liście lms